%define anolis_release 1
Name:    atk
Version: 2.38.0
Release: %{anolis_release}%{?dist}
Summary: Interfaces for accessibility support

License: LGPLv2+
URL:     https://github.com/GNOME/atk
Source0: %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires: gettext
BuildRequires: gobject-introspection-devel
BuildRequires: gtk-doc
BuildRequires: meson
BuildRequires: pkgconfig(glib-2.0)

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

%package devel
Summary: Development files for the ATK accessibility toolkit
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package includes libraries, header files, and developer documentation
needed for development of applications or toolkits which use ATK.

%prep
%autosetup -p1

%build
%meson -Ddocs=true
%meson_build

%install
%meson_install

%find_lang atk10

%files -f atk10.lang
%license COPYING
%doc README AUTHORS NEWS
%{_libdir}/libatk-1.0.so.*
%{_libdir}/girepository-1.0

%files devel
%{_libdir}/libatk-1.0.so
%{_includedir}/atk-1.0
%{_libdir}/pkgconfig/atk.pc
%{_datadir}/gtk-doc/html/atk
%{_datadir}/gir-1.0

%changelog
* Thu Apr 14 2022 yuanhui <yuanhui@linux.alibaba.com> - 2.38.0-1
- Init atk for anolis os 23
